#!/usr/bin/python3
import os
import requests
import psutil
import json

# Use your sensor's id and key.
SENSOR_ID = '<your sensor id>'
SENSOR_KEY = '<your sensor key>'
END_POINT = "http://127.0.0.1/api"

url = "{}/sensors/{}/values".format(END_POINT, SENSOR_ID)

cpu_stats = psutil.cpu_stats()
mem = psutil.virtual_memory()
swap = psutil.swap_memory()
disk = psutil.disk_usage('/')
disk_io = psutil.disk_io_counters()
net_io = psutil.net_io_counters()
min_1, min_5, min_15 = os.getloadavg()

payload = {
    "cpu_ctx_switches": cpu_stats.ctx_switches,
    "cpu_interrupts": cpu_stats.interrupts,
    "memory_percent": mem.percent,
    "swap_percent": swap.percent,
    "disk_percent": disk.percent,
    "disk_read_count": disk_io.read_count,
    "disk_write_count": disk_io.write_count,
    "net_bytes_sent": net_io.bytes_sent,
    "net_bytes_recv": net_io.bytes_recv,
    "cpu_percent": psutil.cpu_percent(interval=1),
    "load_avg_1": min_1,
    "load_avg_5": min_5,
}
print(payload)

headers = {
    'x-sensor-key': SENSOR_KEY,
    'content-type': "application/json",
}

response = requests.request("POST", url, data=json.dumps(payload), headers=headers)

print(response.text)